#ifndef EVBGENCONFIGDB_H
#define EVBGENCONFIGDB_H

#include "EvbGenConfig.h"

#include "mongo/AbstractConfigDb.h"

class EvbGenConfigDb : public AbstractConfigDb
{
    Q_OBJECT

public:
    EvbGenConfigDb(QObject *parent);

signals:
    void evbGenConfigChanged(const EvbGenConfig &);

public slots:
    void setEvbGenConfig(const EvbGenConfig &newConfig);

protected:
    void update_config_from_db() override final;

private:
    EvbGenConfig config;
    QString predefinedPath;
};

#endif // EVBGENCONFIGDB_H
