#include "MpdTrcMainWindow.h"
#include "app/DaqGuiApp.h"
// #include "TrcApp.h"
#include "MpdTrcCore.h"

#include "base/app/RunGuard.h"
#include "base/Globals.h"
#include "mongo/PrintConfigMap.h"

int main(int argc, char *argv[])
{
    Globals::setDaqModuleType(DaqModule::Type::MpdTrc);
    DaqGuiApp daqApp(argc, argv);
    daqApp.init();

    if(daqApp.hasConfigListOpt())
        printConfigMap();

    RunGuard::runSingleOrExit();

    if(daqApp.isGuiApp()) {
        MpdTrcMainWindow *mw(new MpdTrcMainWindow);
        mw->show();
    }
    MpdTrcCore core;

    return daqApp.exec();
}
