#ifndef WAVEFORMVIEWERCONFIG_H
#define WAVEFORMVIEWERCONFIG_H

#include "base/DeviceIndex.h"

#include <QMetaType>

struct WaveformViewerConfig
{
    friend bool operator==(const WaveformViewerConfig &, const WaveformViewerConfig &) = default;

    bool en = true;
    DeviceIndex selectedDevice;
    int minCh = -1;
    int maxCh = -1;
    int sparsePeriod = 0;
};
Q_DECLARE_METATYPE(WaveformViewerConfig)

#endif // WAVEFORMVIEWERCONFIG_H
