#include "AppVersion.h"

#include <QDateTime>

#include "base/src/base/version.h"

QString getAppDateStr()
{
    auto date = QDateTime::fromSecsSinceEpoch(GIT_COMMIT_TIMESTAMP);
    return date.toString(Qt::ISODate);
}

quint32 getAppDateSec()
{
    return GIT_COMMIT_TIMESTAMP;
}

QString getAppVersion()
{
    return GIT_DESCR;
}
