#ifndef ADCERCCONFIG_H
#define ADCERCCONFIG_H

#include <QMetaType>

struct SparseParams {
    bool en = false;
    quint16 readCellNum = 4;
    quint16 period = 2;
    quint8 pointNumber = 0;
    friend bool operator==(const SparseParams &, const SparseParams &) = default;
};
Q_DECLARE_METATYPE(SparseParams)

struct AdcErcConfig
{
    friend bool operator==(const AdcErcConfig &, const AdcErcConfig &) = default;

    SparseParams sparse;
};
Q_DECLARE_METATYPE(AdcErcConfig)

#endif // ADCERCCONFIG_H
