#ifndef RCCOUNTERSMODULE_H
#define RCCOUNTERSMODULE_H

#include "device-modules/BaseDeviceModule.h"

struct BaseDevCounters;

class RcCountersModule : public BaseDeviceModule<RcCountersModule>
{
public:
    explicit RcCountersModule(const MregBusInterface &bus) : BaseDeviceModule(bus) {}

    static QList<AFI_SDB_ID> getSupportedSdbIds();

    bool readStatus(BaseDevCounters *map);
};

#endif // RCCOUNTERSMODULE_H
