#ifndef PNPRAWPROTOCOL_H
#define PNPRAWPROTOCOL_H

#include <QtGlobal>

class QByteArray;
class QHostAddress;

class PNPMessage;
struct ProgramDescription;
class DaqModuleSet;

namespace PnpRaw
{
bool canDecodeRaw(const QByteArray &data);
PNPMessage decodeRaw(const QByteArray &data, const QHostAddress &host, bool *ok);

QByteArray encodePD(const quint8 &type, const ProgramDescription &pd);
QByteArray encodeSearch(const DaqModuleSet &searchTargets);
} // namespace PnpRaw

#endif // PNPRAWPROTOCOL_H
