#ifndef PNPXMLPROTOCOLTAGS_H
#define PNPXMLPROTOCOLTAGS_H

#include <QString>

namespace PnpXml
{
const QString DOC_TYPE = "pnp_message";

const QString TAG_SEARCH = "discover_request";
const QString TAG_SEARCH_TARGET = "target";

const QString TAG_PROGRAM_CLOSE = "program_close";
const QString TAG_PROGRAM_ANNOUNCE = "program";
// __attribute__((deprecated("will be deleted in future versions")))
// const QString TAG_PROGRAM_NAME = "name";
const QString TAG_PROGRAM_TYPE = "type";
const QString TAG_PROGRAM_INDEX = "index";
const QString TAG_PROGRAM_PARENT = "parent";
const QString TAG_PROGRAM_UUID = "uuid";
const QString TAG_PROGRAM_SEQ = "seq";
const QString TAG_PROGRAM_HOST_NAME = "hostName";
const QString TAG_PROGRAM_HOST = "host";
const QString TAG_VER_HASH = "ver_hash";
const QString TAG_VER_DATE = "ver_date";

const QString TAG_OPTIONS_SECTION = "options";
const QString TAG_OPTION_SECTION = "option";
const QString TAG_OPTION_NAME = "name";
const QString TAG_OPTION_VALUE = "value";

const QString TAG_INTERFACES_SECTION = "interfaces";
const QString TAG_INTERFACE_SECTION = "interface";
const QString TAG_INTERFACE_HOST = TAG_PROGRAM_HOST;
const QString TAG_INTERFACE_PORT = "port";
const QString TAG_INTERFACE_DEV_INDEX = "devIndex";
const QString TAG_INTERFACE_DEV_TYPE_STR = "devTypeStr";
const QString TAG_PEER_SECTION = "peer";
const QString TAG_PEER_HOST = "h";
const QString TAG_PEER_PORT = "p";
const QString TAG_INTERFACE_TYPE = "type";
const QString TAG_INTERFACE_ENABLED = "enabled";
const QString TAG_INTERFACE_ISFREE = "isFree";
const QString TAG_INTERFACE_ID = "id";
} // namespace PnpXml

#endif // PNPXMLPROTOCOLTAGS_H
