#ifndef TTVXSCONFIG_H
#define TTVXSCONFIG_H

#include <QtGlobal>

typedef union reg_rc_ctrl {
    quint16 all=0;
    struct {
        unsigned int clearStat: 1;
        unsigned int softClear: 1;
        unsigned int reserved: 10;
        unsigned int en_aux_cnt: 1;
        unsigned int reset_aux_cnt: 1;
        unsigned int sendTimeReset: 1;
        unsigned int run: 1;
    } bit;
} reg_rc_ctrl;

typedef union reg_base_ctrl {
    quint16 all=0;
    struct {
        unsigned int softClear: 1;
        unsigned int cntLock: 1;
        unsigned int reserved: 13;
        unsigned int run_csr: 1;
    } bit;
} reg_base_ctrl;

#endif // TTVXSCONFIG_H
