#ifndef ADCERCMODULE_H
#define ADCERCMODULE_H

#include <optional>

#include "device-modules/BaseDeviceModule.h"

class AdcErcConfig;

class AdcErcModule : public BaseDeviceModule<AdcErcModule>
{
public:
    explicit AdcErcModule(const MregBusInterface &bus);

    static QList<AFI_SDB_ID> getSupportedSdbIds();

    bool writeConfig(const AdcErcConfig &config);
};

#endif // ADCERCMODULE_H
