#ifndef BMCMODULE_H
#define BMCMODULE_H

#include <optional>
#include "device-modules/BaseDeviceModule.h"

struct BmcStatus;

class BmcModule : public BaseDeviceModule<BmcModule>
{
public:
    explicit BmcModule(const MregBusInterface &bus);

    static QList<AFI_SDB_ID> getSupportedSdbIds();

    std::optional<BmcStatus> readStatus();
    void post_init() override;
};

#endif // BMCMODULE_H
