#include "MscStreamConfig.h"

#include <QDebug>
#include <QDataStream>

const bool MscStreamConfig::HIST_CE_DEF = true;

QDebug operator<<(QDebug dbg, const MscStreamConfig &c)
{
    dbg << "MscStreamConfig{"
        << "en:" << c.en
        << "timeout:" << c.timeout
        << "slice:" << c.slice
        << "ceMonitor:" << c.ceMonitor
        << "histCe:" << c.histCe
        << "}";
    return dbg;
}

QDataStream &operator<<(QDataStream &out, MscStreamConfig &r)
{
    out
        << r.en
        << r.timeout
        << r.slice
        << r.ceMonitor
        << r.histCe
        ;
    return out;
}

QDataStream &operator>>(QDataStream &in, MscStreamConfig &r)
{
    in
        >> r.en
        >> r.timeout
        >> r.slice
        >> r.ceMonitor
        >> r.histCe
        ;
    return in;
}
