#ifndef RCPROGRAMSTATETREEITEM_H
#define RCPROGRAMSTATETREEITEM_H

#include "remote-control-server/RcProgramState.h"

class RcClientPath : public QList<ClientIndex>{};

struct RcProgramStateTreeItem
{
    RcProgramStateTreeItem() = default;
    ~RcProgramStateTreeItem();

    ClientIndex getIndex() const { return index; }
    RcClientPath getPath() const;
    RcProgramStateTreeItem *child(int row) const;
    int childCount() const;
    int row() const;

    RcProgramStateTreeItem *parent = nullptr;
    ClientIndex index;
    QList<RcProgramStateTreeItem *> children;
};

#endif // RCPROGRAMSTATETREEITEM_H

