#ifndef PNPXMLPROTOCOL_H
#define PNPXMLPROTOCOL_H

#include <QtGlobal>

class QByteArray;
class QHostAddress;

class PNPMessage;
struct ProgramDescription;
class DaqModuleSet;

namespace PnpXml
{
PNPMessage decodeXml(const QByteArray &data, const QHostAddress &host, bool *ok);

// QByteArray encode(const PNPMessage &pnp);
QByteArray encodePD(const quint8 &type, const ProgramDescription &pd);
QString encodeDiscover(const ProgramDescription &pd);
QString encodeSearch(const DaqModuleSet &searchTargets);
QString encodeClose(const ProgramDescription &pd);
}// namespace PnpXml

#endif // PNPXMLPROTOCOL_H
